package com.bsentity.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 文件表单Dto --  为了方便后续不同不同表单做不同操作
 *
 * @author Trj
 */

@Data
public class FileFormDto {


    /**
     * word附件id
     */
    private List<String> wordId;

    /**
     * pdf附件id
     */
    private List<String> pdfId;


    /**
     * 表单id
     */
    private String formId;


    /**
     * 标识
     */
    private String flag;

    /**
     * Map<附件id,formID>键值对
     */
    public Map<String, String> fileFromIdMap() {
        Map<String, String> map = new HashMap<>();

//        this.wordId.forEach(id -> {
//            map.put(id,this.formId + ";" + this.flag);
//        });

        this.pdfId.forEach(id -> {
            map.put(id,this.formId+ ";" + this.flag);
        });

        return map;
    }


}
